#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Read metadata from Python packages
Summary(pl.UTF-8):	Odczyt metadanych z pakietów Pythona
Name:		python3-importlib_metadata
Version:	4.12.0
Release:	4
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/importlib-metadata/
Source0:	https://files.pythonhosted.org/packages/source/i/importlib-metadata/importlib_metadata-%{version}.tar.gz
# Source0-md5:	cfcf29185e13439c76d09c94bc8d81f4
URL:		https://pypi.org/project/importlib-metadata/
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools >= 1:30.3
BuildRequires:	python3-setuptools_scm >= 3.4.1
BuildRequires:	python3-toml
%if %{with tests}
#BuildRequires:	python3-flufl.flake8
%if "%{_ver_lt '%{py3_ver}' '3.9'}" == "1"
BuildRequires:	python3-importlib_resources >= 1.3
%endif
BuildRequires:	python3-packaging
BuildRequires:	python3-pyfakefs
BuildRequires:	python3-pytest >= 6
#BuildRequires:	python3-pytest-black >= 0.3.7
#BuildRequires:	python3-pytest-checkdocs >= 2.4
#BuildRequires:	python3-pytest-enabler >= 1.3
#BuildRequires:	python3-pytest-flake8
#BuildRequires:	python3-pytest-mypy >= 0.9.1
#BuildRequires:	python3-pytest-perf >= 0.9.2
%if "%{_ver_lt '%{py3_ver}' '3.8'}" == "1"
BuildRequires:	python3-typing_extensions >= 3.6.4
%endif
BuildRequires:	python3-zipp >= 0.5
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.749
BuildRequires:	sed >= 4.0
%if %{with doc}
BuildRequires:	python3-jaraco.packaging >= 9
BuildRequires:	python3-rst.linker >= 1.9
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
importlib_metadata is a library to access the metadata for a Python
package. New features are merged in later versions of CPython.

%description -l pl.UTF-8
importlib_metadata to biblioteka służąca do dostępu do metadanych
pakietów Pythona. Nowa funkcjonalność jest później włączana do
CPythona.

%package apidocs
Summary:	API documentation for Python importlib_metadata module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona importlib_metadata
Group:		Documentation

%description apidocs
API documentation for Python importlib_metadata module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona importlib_metadata.

%prep
%setup -q -n importlib_metadata-%{version}

# stub for setuptools
cat >setup.py <<EOF
from setuptools import setup
setup()
EOF

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
sphinx-build-3 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/importlib_metadata
%{py3_sitescriptdir}/importlib_metadata-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Wed Mar 26 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-importlib_metadata.git;a=log;h=master

* Wed Mar 26 2025 Jan Rękorajski <baggins@pld-linux.org> 514c440
- Release 4 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 05c10b3
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> a340b92
- python 3.13 rebuild

* Thu Sep 01 2022 Jakub Bogusz <qboosh@pld-linux.org> 1a459c8
- updated to 4.12.0

* Sun May 01 2022 Jan Rękorajski <baggins@pld-linux.org> 22f8f89
- Release 4 (by relup.sh)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ec61eb6
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 4c860b6
- rebuild with python 3.10

* Wed Mar 23 2022 Jakub Bogusz <qboosh@pld-linux.org> 77cf4cf
- python-importlib_metadata.spec updated to 4.11.3 for python 3.7+

* Tue Mar 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 0d0bad2
- disable test requiring network

* Tue Mar 22 2022 Jakub Bogusz <qboosh@pld-linux.org> c8b208a
- updated to 2.1.3 (the last with python2 support)
- removed obsolete tests patch

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 57ae124
- release 2 (by relup.sh)

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 8447a80
- rediff patch

* Sat Jan 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 422babe
- updated to 1.4.0

* Sun Dec 15 2019 Marcin Krol <hawk@tld-linux.org> 5b687e9
- updated to 1.3.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> df54b87
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Oct 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 923ecd9
- new; added tests patch to fix tests with pathlib2 under python 2.x

